BLOCKDEV(8)

NOM
blockdev - Appeler les ioctls des périphériques de blocs à partir de la ligne de commande

SYNOPSIS
blockdev [options] commandes périphériques
blockdev --report [devices]

DESCRIPTION
L'utilitaire blockdev vous permet d'appeler les ioctls des périphériques de blocs à partir de la ligne de commande.

OPTIONS

-V  Afficher la version et quitter.

-q  Mode silencieux.

-v  Mode volubile.

--report
    Afficher un rapport pour les périphériques.

COMMANDES

--setro
    Définir en lecture seule.

--setrw
    Définir en lecture/écriture.

--getro
    Obtenir la permission lecture seule. Affiche 1 si le périphérique est en lecture seule, 0 autrement.

--getss
    Afficher la taille des secteurs en octets - généralement 512.

--getbsz
    Afficher la taille des blocs en octets.

--setbsz N
    Définir la taille des blocs à N octets.

--getsize
    Afficher la taille du périphérique en secteurs (BLKGETSIZE). Dépréciée en faveur de l'option --getsz.

--getsize64
    Afficher la taille du périphérique en octets (BLKGETSIZE64).

--getsz
    Afficher la taille du périphérique en secteurs de 512 octets (BLKGETSIZE64 / 512).

--setra N
    Définir le tampon de lecture anticipée à N secteurs de 512 octets.

--getra
    Afficher le tampon de lecture anticipée (en secteur de 512 octets).

--setfra N
    Définir le tampon de lecture anticipée du système de fichier. (comme --setra dans les noyaux 2.6).

--getfra
    Obtenir le tampon de lecture anticipée du système de fichier.

--flushbufs
    Purger les tampons.

--rereadpt
    Relire la table de partition.

AUTEUR
blockdev a été écrit par Andries E. Brouwer.

DISPONIBILITÉ
La commande blockdev fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

TRADUCTION
Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 blockdev ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.